Bug 225474 - x11-toolkits/diorite build is broken by vala 0.36.9
Summary: x11-toolkits/diorite build is broken by vala 0.36.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Don Lewis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-26 22:49 UTC by Don Lewis
Modified: 2018-01-28 04:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (avilla)


Attachments
patch to unbreak diorite build with vala 0.36.9 (1.87 KB, patch)
2018-01-26 22:54 UTC, Don Lewis
no flags Details | Diff
revised patch to unbreak diorite build with vala 0.36.9, bump PORTREVSION (2.01 KB, patch)
2018-01-26 23:05 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2018-01-26 22:49:47 UTC
diorite was buildable with vala 0.36.4, but not with 0.36.9.

dioriteglib-0.2.vapi:111.102-111.109: error: The name `Priority' does not exist
in the context of `Diorite.System.make_directory_with_parents_async'
                public static async void make_directory_with_parents_async (GLib
.File directory, int io_priority = Priority.DEFAULT, GLib.Cancellable? cancellab
le = null) throws GLib.Error;

                                   ^^^^^^^^

** (valac:81510): CRITICAL **: vala_data_type_compatible: assertion 'self != NUL
L' failed

** (valac:81510): CRITICAL **: vala_code_node_to_string: assertion 'self != NULL
' failed
dioriteglib-0.2.vapi:111.102-111.117: error: Cannot convert from `(null)' to `in
t'
                public static async void make_directory_with_parents_async (GLib
.File directory, int io_priority = Priority.DEFAULT, GLib.Cancellable? cancellab
le = null) throws GLib.Error;

                                   ^^^^^^^^^^^^^^^^
Comment 1 Don Lewis freebsd_committer 2018-01-26 22:54:31 UTC
Created attachment 190088 [details]
patch to unbreak diorite build with vala 0.36.9

This patch unbreaks the diorite build.  It also fixes problems pointed out by portlint and stage Q/A.
Comment 2 Don Lewis freebsd_committer 2018-01-26 22:59:25 UTC
BTW, the version of diorite in this port is pretty old, 0.2.1.  The oldest version that is actually tagged on GitHub is 0.2.2, and the latest version is 4.9.0.
Comment 3 Don Lewis freebsd_committer 2018-01-26 23:05:24 UTC
Created attachment 190089 [details]
revised patch to unbreak diorite build with vala 0.36.9, bump PORTREVSION

PORTREVISION needs to be bumped due to the change in dependencies.
Comment 4 Antoine Brodin freebsd_committer 2018-01-27 09:05:35 UTC
Approved by portmgr
Comment 5 commit-hook freebsd_committer 2018-01-28 04:13:44 UTC
A commit references this bug:

Author: truckman
Date: Sun Jan 28 04:12:45 UTC 2018
New revision: 460158
URL: https://svnweb.freebsd.org/changeset/ports/460158

Log:
  Unbreak x11-toolkits/diorite after vala upgrade from 0.36.4 to 0.36.9.

    Priority is in the GLib namespace.

  Pet portlint and stage Q/A.

  PR:		225474
  Reported by:	antoine (portmgr)
  Approved by:	antoine (portmgr)

Changes:
  head/x11-toolkits/diorite/Makefile
  head/x11-toolkits/diorite/files/patch-src_glib_system.vala